Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Class LoggerSupport

    java.lang.Object
      com.sun.appserv.management.base.LoggerSupport

public final class LoggerSupport
extends java.lang.Object

Field Summary
`static java.lang.String` | `AMX_CLIENT_LOGGER` Name of the root logger for AMX client code.
`static java.lang.String` | `AMX_CLIENT_LOGGER_PREFIX`
`static java.lang.String` | `AMX_LOGGER_PREFIX`
`static java.lang.String` | `AMX_MBEAN_LOGGER_PREFIX`
`static java.lang.String` | `AMX_MBEAN_ROOT_LOGGER` Name of the root logger for all MBean loggers.
`static java.lang.String` | `AMX_ROOT_LOGGER` Name of the root logger for all AMX
`static java.lang.String` | `AMX_SERVER_LOGGER` Name of the root logger for AMX server code
`static java.lang.String` | `AMX_SERVER_LOGGER_PREFIX`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AMX_LOGGER_PREFIX

    public static final java.lang.String AMX_LOGGER_PREFIX

See Also:
  Constant Field Values

### AMX_CLIENT_LOGGER_PREFIX

    public static final java.lang.String AMX_CLIENT_LOGGER_PREFIX

See Also:
  Constant Field Values

### AMX_SERVER_LOGGER_PREFIX

    public static final java.lang.String AMX_SERVER_LOGGER_PREFIX

See Also:
  Constant Field Values

### AMX_MBEAN_LOGGER_PREFIX

    public static final java.lang.String AMX_MBEAN_LOGGER_PREFIX

See Also:
  Constant Field Values

### AMX_ROOT_LOGGER

    public static final java.lang.String AMX_ROOT_LOGGER

  Name of the root logger for all AMX

  See Also:
    Constant Field Values

### AMX_CLIENT_LOGGER

    public static final java.lang.String AMX_CLIENT_LOGGER

  Name of the root logger for AMX client code.

  See Also:
    Constant Field Values

### AMX_MBEAN_ROOT_LOGGER

    public static final java.lang.String AMX_MBEAN_ROOT_LOGGER

  Name of the root logger for all MBean loggers.

  See Also:
    Constant Field Values

### AMX_SERVER_LOGGER

    public static final java.lang.String AMX_SERVER_LOGGER

  Name of the root logger for AMX server code

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.